Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseStyle

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRBoxContainer, JRCloneable, JRPenContainer, JRStyle, JRStyleContainer

Direct Known Subclasses:
  JRBaseConditionalStyle, JRDesignStyle

    public class JRBaseStyle

extends java.lang.Object
implements JRStyle, java.io.Serializable, JRChangeEventsSupport

Version:
  $Id: JRBaseStyle.java 3941 2010-08-20 10:55:10Z teodord $
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.awt.Color` | `backcolor`
`protected JRConditionalStyle[]` | `conditionalStyles`
`protected JRDefaultStyleProvider` | `defaultStyleProvider`
`protected FillEnum` | `fillValue`
`protected java.lang.String` | `fontName`
`protected java.lang.Integer` | `fontSize`
`protected java.awt.Color` | `forecolor`
`protected HorizontalAlignEnum` | `horizontalAlignmentValue`
`protected java.lang.Boolean` | `isBlankWhenNull`
`protected java.lang.Boolean` | `isBold`
`protected boolean` | `isDefault`
`protected java.lang.Boolean` | `isItalic`
`protected java.lang.Boolean` | `isPdfEmbedded`
`protected java.lang.Boolean` | `isStrikeThrough`
`protected java.lang.Boolean` | `isUnderline`
`protected JRLineBox` | `lineBox`
`protected JRPen` | `linePen`
`protected LineSpacingEnum` | `lineSpacingValue`
`protected java.lang.String` | `markup`
`protected ModeEnum` | `modeValue`
`protected java.lang.String` | `name`
`protected JRStyle` | `parentStyle`
`protected java.lang.String` | `parentStyleNameReference`
`protected java.lang.String` | `pattern`
`protected java.lang.String` | `pdfEncoding`
`protected java.lang.String` | `pdfFontName`
`protected java.lang.Byte` | `positionType`
`static java.lang.String` | `PROPERTY_BACKCOLOR`
`static java.lang.String` | `PROPERTY_BLANK_WHEN_NULL`
`static java.lang.String` | `PROPERTY_BOLD`
`static java.lang.String` | `PROPERTY_FILL`
`static java.lang.String` | `PROPERTY_FONT_NAME`
`static java.lang.String` | `PROPERTY_FONT_SIZE`
`static java.lang.String` | `PROPERTY_FORECOLOR`
`static java.lang.String` | `PROPERTY_HORIZONTAL_ALIGNMENT`
`static java.lang.String` | `PROPERTY_IS_STYLED_TEXT` Deprecated. Replaced by `PROPERTY_MARKUP`
`static java.lang.String` | `PROPERTY_ITALIC`
`static java.lang.String` | `PROPERTY_LINE_SPACING`
`static java.lang.String` | `PROPERTY_MARKUP`
`static java.lang.String` | `PROPERTY_MODE`
`static java.lang.String` | `PROPERTY_PATTERN`
`static java.lang.String` | `PROPERTY_PDF_EMBEDDED`
`static java.lang.String` | `PROPERTY_PDF_ENCODING`
`static java.lang.String` | `PROPERTY_PDF_FONT_NAME`
`static java.lang.String` | `PROPERTY_RADIUS`
`static java.lang.String` | `PROPERTY_ROTATION`
`static java.lang.String` | `PROPERTY_SCALE_IMAGE`
`static java.lang.String` | `PROPERTY_STRIKE_THROUGH`
`static java.lang.String` | `PROPERTY_UNDERLINE`
`static java.lang.String` | `PROPERTY_VERTICAL_ALIGNMENT`
`protected java.lang.Integer` | `radius`
`protected RotationEnum` | `rotationValue`
`protected ScaleImageEnum` | `scaleImageValue`
`protected java.lang.Byte` | `stretchType`
`protected VerticalAlignEnum` | `verticalAlignmentValue`

Fields inherited from interface net.sf.jasperreports.engine.JRStyle
`PROPERTY_EVALUATION_TIME_ENABLED`

Constructor Summary
`JRBaseStyle()`
`JRBaseStyle(JRStyle style, JRAbstractObjectFactory factory)`
`JRBaseStyle(java.lang.String name)`

Method Summary
`protected void` | `checkCircularParent()`
`java.lang.Object` | `clone()`
`java.awt.Color` | `getBackcolor()`
`java.lang.Byte` | `getBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getBottomBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getBottomPadding()` Deprecated. Replaced by `getLineBox()`
`JRConditionalStyle[]` | `getConditionalStyles()`
`java.awt.Color` | `getDefaultLineColor()`
`java.lang.Float` | `getDefaultLineWidth()`
`JRDefaultStyleProvider` | `getDefaultStyleProvider()`
`JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
`java.lang.Byte` | `getFill()` Deprecated. Replaced by `getFillValue()`
`FillEnum` | `getFillValue()` Indicates the fill type used for this element.
`java.lang.String` | `getFontName()`
`java.lang.Integer` | `getFontSize()`
`java.awt.Color` | `getForecolor()`
`java.lang.Byte` | `getHorizontalAlignment()` Deprecated. Replaced by `getHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the horizontal alignment of the element.
`java.lang.Byte` | `getLeftBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getLeftPadding()` Deprecated. Replaced by `getLineBox()`
`JRLineBox` | `getLineBox()`
`JRPen` | `getLinePen()`
`java.lang.Byte` | `getLineSpacing()` Deprecated. Replaced by `getLineSpacingValue()`.
`LineSpacingEnum` | `getLineSpacingValue()` Gets the line spacing.
`java.lang.String` | `getMarkup()` Returns the markup language used to format the text.
`java.lang.Byte` | `getMode()` Deprecated. Replaced by `getModeValue()`.
`ModeEnum` | `getModeValue()` Returns the element transparency mode.
`java.lang.String` | `getName()` Gets the style unique name.
`java.awt.Color` | `getOwnBackcolor()`
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnFill()` Deprecated. Replaced by `getOwnFillValue()`
`FillEnum` | `getOwnFillValue()`
`java.lang.String` | `getOwnFontName()`
`java.lang.Integer` | `getOwnFontSize()`
`java.awt.Color` | `getOwnForecolor()`
`java.lang.Byte` | `getOwnHorizontalAlignment()` Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.
`HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnLineSpacing()` Deprecated. Replaced by `getOwnLineSpacingValue()`.
`LineSpacingEnum` | `getOwnLineSpacingValue()`
`java.lang.String` | `getOwnMarkup()`
`java.lang.Byte` | `getOwnMode()` Deprecated. Replaced by `getOwnModeValue()`.
`ModeEnum` | `getOwnModeValue()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.String` | `getOwnPattern()`
`java.lang.String` | `getOwnPdfEncoding()`
`java.lang.String` | `getOwnPdfFontName()`
`java.lang.Byte` | `getOwnPen()` Deprecated. Replaced by `getLinePen()`
`java.lang.Integer` | `getOwnRadius()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnRotation()` Deprecated. Replaced by `getOwnRotationValue()`.
`RotationEnum` | `getOwnRotationValue()` Gets the text own rotation.
`java.lang.Byte` | `getOwnScaleImage()` Deprecated. Replaced by `getOwnScaleImageValue()`.
`ScaleImageEnum` | `getOwnScaleImageValue()` Gets the image own scale type.
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getOwnVerticalAlignment()` Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
`java.lang.Integer` | `getPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.String` | `getPattern()` Gets the pattern used for this text field.
`java.lang.String` | `getPdfEncoding()`
`java.lang.String` | `getPdfFontName()`
`java.lang.Byte` | `getPen()` Deprecated. Replaced by `getLinePen()`
`java.lang.Integer` | `getRadius()` Indicates the corner radius for rectangles with round corners.
`java.lang.Byte` | `getRightBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getRightPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getRotation()` Deprecated. Replaced by `getRotationValue()`.
`RotationEnum` | `getRotationValue()` Gets the text rotation.
`java.lang.Byte` | `getScaleImage()` Deprecated. Replaced by `getScaleImageValue()`.
`ScaleImageEnum` | `getScaleImageValue()` Gets the image scale type.
`JRStyle` | `getStyle()` Returns this object's style.
`java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
`java.lang.Byte` | `getTopBorder()` Deprecated. Replaced by `getLineBox()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `getLineBox()`
`java.lang.Integer` | `getTopPadding()` Deprecated. Replaced by `getLineBox()`
`java.lang.Byte` | `getVerticalAlignment()` Deprecated. Replaced by `getVerticalAlignmentValue()`.
`VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the vertical alignment of the element.
`java.lang.Boolean` | `isBlankWhenNull()`
`java.lang.Boolean` | `isBold()`
`boolean` | `isDefault()` Gets a flag that specifies if this is the default report style.
`java.lang.Boolean` | `isItalic()`
`java.lang.Boolean` | `isOwnBlankWhenNull()`
`java.lang.Boolean` | `isOwnBold()`
`java.lang.Boolean` | `isOwnItalic()`
`java.lang.Boolean` | `isOwnPdfEmbedded()`
`java.lang.Boolean` | `isOwnStrikeThrough()`
`java.lang.Boolean` | `isOwnStyledText()` Deprecated. Replaced by `getOwnMarkup()`
`java.lang.Boolean` | `isOwnUnderline()`
`java.lang.Boolean` | `isPdfEmbedded()`
`java.lang.Boolean` | `isStrikeThrough()`
`java.lang.Boolean` | `isStyledText()` Deprecated. Replaced by `getMarkup()`
`java.lang.Boolean` | `isUnderline()`
`void` | `rename(java.lang.String newName)` Changes the name of this style.
`void` | `setBackcolor(java.awt.Color backcolor)`
`void` | `setBlankWhenNull(boolean isBlankWhenNull)`
`void` | `setBlankWhenNull(java.lang.Boolean isBlankWhenNull)`
`void` | `setBold(boolean bold)`
`void` | `setBold(java.lang.Boolean bold)`
`void` | `setBorder(byte border)` Deprecated. Replaced by `getLineBox()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `getLineBox()`
`void` | `setBorderColor(java.awt.Color borderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomBorder(byte bottomBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomBorder(java.lang.Byte bottomBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomBorderColor(java.awt.Color bottomBorderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomPadding(int bottomPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setBottomPadding(java.lang.Integer bottomPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setFill(byte fill)` Deprecated. Replaced by `setFill(FillEnum)`.
`void` | `setFill(java.lang.Byte fill)` Deprecated. Replaced by `setFill(FillEnum)`.
`void` | `setFill(FillEnum fillValue)`
`void` | `setFontName(java.lang.String fontName)`
`void` | `setFontSize(int fontSize)`
`void` | `setFontSize(java.lang.Integer fontSize)`
`void` | `setForecolor(java.awt.Color forecolor)`
`void` | `setHorizontalAlignment(byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(java.lang.Byte horizontalAlignment)` Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.
`void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)`
`void` | `setItalic(boolean italic)`
`void` | `setItalic(java.lang.Boolean italic)`
`void` | `setLeftBorder(byte leftBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setLeftBorder(java.lang.Byte leftBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setLeftBorderColor(java.awt.Color leftBorderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setLeftPadding(int leftPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setLeftPadding(java.lang.Integer leftPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setLineSpacing(byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.
`void` | `setLineSpacing(java.lang.Byte lineSpacing)` Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.
`void` | `setLineSpacing(LineSpacingEnum lineSpacingValue)`
`void` | `setMarkup(java.lang.String markup)`
`void` | `setMode(byte mode)` Deprecated. Replaced by `setMode(ModeEnum)`.
`void` | `setMode(java.lang.Byte mode)` Deprecated. Replaced by `setMode(ModeEnum)`.
`void` | `setMode(ModeEnum modeValue)`
`void` | `setPadding(int padding)` Deprecated. Replaced by `getLineBox()`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `getLineBox()`
`protected void` | `setParentStyle(JRStyle parentStyle)`
`void` | `setPattern(java.lang.String pattern)`
`void` | `setPdfEmbedded(boolean pdfEmbedded)`
`void` | `setPdfEmbedded(java.lang.Boolean pdfEmbedded)`
`void` | `setPdfEncoding(java.lang.String pdfEncoding)`
`void` | `setPdfFontName(java.lang.String pdfFontName)`
`void` | `setPen(byte pen)` Deprecated. Replaced by `getLinePen()`
`void` | `setPen(java.lang.Byte pen)` Deprecated. Replaced by `getLinePen()`
`void` | `setRadius(int radius)`
`void` | `setRadius(java.lang.Integer radius)`
`void` | `setRightBorder(byte rightBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setRightBorder(java.lang.Byte rightBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setRightBorderColor(java.awt.Color rightBorderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setRightPadding(int rightPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setRightPadding(java.lang.Integer rightPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setRotation(byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(java.lang.Byte rotation)` Deprecated. Replaced by `setRotation(RotationEnum)`.
`void` | `setRotation(RotationEnum rotationValue)`
`void` | `setScaleImage(byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(java.lang.Byte scaleImage)` Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.
`void` | `setScaleImage(ScaleImageEnum scaleImageValue)`
`void` | `setStrikeThrough(boolean strikeThrough)`
`void` | `setStrikeThrough(java.lang.Boolean strikeThrough)`
`void` | `setStyledText(boolean styledText)` Deprecated. Replaced by `setMarkup(String)`
`void` | `setStyledText(java.lang.Boolean styledText)` Deprecated. Replaced by `setMarkup(String)`
`void` | `setTopBorder(byte topBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setTopBorder(java.lang.Byte topBorder)` Deprecated. Replaced by `getLineBox()`
`void` | `setTopBorderColor(java.awt.Color topBorderColor)` Deprecated. Replaced by `getLineBox()`
`void` | `setTopPadding(int topPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setTopPadding(java.lang.Integer topPadding)` Deprecated. Replaced by `getLineBox()`
`void` | `setUnderline(boolean underline)`
`void` | `setUnderline(java.lang.Boolean underline)`
`void` | `setVerticalAlignment(byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(java.lang.Byte verticalAlignment)` Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.
`void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_BACKCOLOR

    public static final java.lang.String PROPERTY_BACKCOLOR

See Also:
  Constant Field Values

### PROPERTY_BLANK_WHEN_NULL

    public static final java.lang.String PROPERTY_BLANK_WHEN_NULL

See Also:
  Constant Field Values

### PROPERTY_BOLD

    public static final java.lang.String PROPERTY_BOLD

See Also:
  Constant Field Values

### PROPERTY_FILL

    public static final java.lang.String PROPERTY_FILL

See Also:
  Constant Field Values

### PROPERTY_FONT_NAME

    public static final java.lang.String PROPERTY_FONT_NAME

See Also:
  Constant Field Values

### PROPERTY_FONT_SIZE

    public static final java.lang.String PROPERTY_FONT_SIZE

See Also:
  Constant Field Values

### PROPERTY_FORECOLOR

    public static final java.lang.String PROPERTY_FORECOLOR

See Also:
  Constant Field Values

### PROPERTY_HORIZONTAL_ALIGNMENT

    public static final java.lang.String PROPERTY_HORIZONTAL_ALIGNMENT

See Also:
  Constant Field Values

### PROPERTY_ITALIC

    public static final java.lang.String PROPERTY_ITALIC

See Also:
  Constant Field Values

### PROPERTY_LINE_SPACING

    public static final java.lang.String PROPERTY_LINE_SPACING

See Also:
  Constant Field Values

### PROPERTY_MODE

    public static final java.lang.String PROPERTY_MODE

See Also:
  Constant Field Values

### PROPERTY_PATTERN

    public static final java.lang.String PROPERTY_PATTERN

See Also:
  Constant Field Values

### PROPERTY_PDF_EMBEDDED

    public static final java.lang.String PROPERTY_PDF_EMBEDDED

See Also:
  Constant Field Values

### PROPERTY_PDF_ENCODING

    public static final java.lang.String PROPERTY_PDF_ENCODING

See Also:
  Constant Field Values

### PROPERTY_PDF_FONT_NAME

    public static final java.lang.String PROPERTY_PDF_FONT_NAME

See Also:
  Constant Field Values

### PROPERTY_RADIUS

    public static final java.lang.String PROPERTY_RADIUS

See Also:
  Constant Field Values

### PROPERTY_ROTATION

    public static final java.lang.String PROPERTY_ROTATION

See Also:
  Constant Field Values

### PROPERTY_SCALE_IMAGE

    public static final java.lang.String PROPERTY_SCALE_IMAGE

See Also:
  Constant Field Values

### PROPERTY_STRIKE_THROUGH

    public static final java.lang.String PROPERTY_STRIKE_THROUGH

See Also:
  Constant Field Values

### PROPERTY_IS_STYLED_TEXT

    public static final java.lang.String PROPERTY_IS_STYLED_TEXT

  Deprecated. Replaced by `PROPERTY_MARKUP`
  See Also:
    Constant Field Values

### PROPERTY_MARKUP

    public static final java.lang.String PROPERTY_MARKUP

See Also:
  Constant Field Values

### PROPERTY_UNDERLINE

    public static final java.lang.String PROPERTY_UNDERLINE

See Also:
  Constant Field Values

### PROPERTY_VERTICAL_ALIGNMENT

    public static final java.lang.String PROPERTY_VERTICAL_ALIGNMENT

See Also:
  Constant Field Values

### defaultStyleProvider

    protected JRDefaultStyleProvider defaultStyleProvider

### parentStyle

    protected JRStyle parentStyle

### parentStyleNameReference

    protected java.lang.String parentStyleNameReference

### name

    protected java.lang.String name

### isDefault

    protected boolean isDefault

### positionType

    protected java.lang.Byte positionType

### stretchType

    protected java.lang.Byte stretchType

### modeValue

    protected ModeEnum modeValue

### forecolor

    protected java.awt.Color forecolor

### backcolor

    protected java.awt.Color backcolor

### linePen

    protected JRPen linePen

### fillValue

    protected FillEnum fillValue

### radius

    protected java.lang.Integer radius

### scaleImageValue

    protected ScaleImageEnum scaleImageValue

### horizontalAlignmentValue

    protected HorizontalAlignEnum horizontalAlignmentValue

### verticalAlignmentValue

    protected VerticalAlignEnum verticalAlignmentValue

### lineBox

    protected JRLineBox lineBox

### fontName

    protected java.lang.String fontName

### isBold

    protected java.lang.Boolean isBold

### isItalic

    protected java.lang.Boolean isItalic

### isUnderline

    protected java.lang.Boolean isUnderline

### isStrikeThrough

    protected java.lang.Boolean isStrikeThrough

### fontSize

    protected java.lang.Integer fontSize

### pdfFontName

    protected java.lang.String pdfFontName

### pdfEncoding

    protected java.lang.String pdfEncoding

### isPdfEmbedded

    protected java.lang.Boolean isPdfEmbedded

### rotationValue

    protected RotationEnum rotationValue

### lineSpacingValue

    protected LineSpacingEnum lineSpacingValue

### markup

    protected java.lang.String markup

### pattern

    protected java.lang.String pattern

### isBlankWhenNull

    protected java.lang.Boolean isBlankWhenNull

### conditionalStyles

    protected JRConditionalStyle[] conditionalStyles

Constructor Detail

### JRBaseStyle

    public JRBaseStyle()

### JRBaseStyle

    public JRBaseStyle(java.lang.String name)

### JRBaseStyle

    public JRBaseStyle(JRStyle style,
                       JRAbstractObjectFactory factory)

Method Detail

### setParentStyle

    protected void setParentStyle(JRStyle parentStyle)

### checkCircularParent

    protected void checkCircularParent()

### getDefaultStyleProvider

    public JRDefaultStyleProvider getDefaultStyleProvider()

  Specified by:
    `getDefaultStyleProvider` in interface `JRStyleContainer`

### getStyle

    public JRStyle getStyle()

  Description copied from interface: `JRStyleContainer`
  Returns this object's style.

  Specified by:
    `getStyle` in interface `JRStyleContainer`
  Returns:
    this object's style

### getName

    public java.lang.String getName()

  Description copied from interface: `JRStyle`
  Gets the style unique name.

  Specified by:
    `getName` in interface `JRStyle`

### rename

    public void rename(java.lang.String newName)

  Changes the name of this style.

  Note that this method is mostly meant to be used internally. Use cautiously as it might have unexpected consequences.

  Parameters:
    `newName` - the new name

### isDefault

    public boolean isDefault()

  Description copied from interface: `JRStyle`
  Gets a flag that specifies if this is the default report style.

  Specified by:
    `isDefault` in interface `JRStyle`

### getForecolor

    public java.awt.Color getForecolor()

  Specified by:
    `getForecolor` in interface `JRStyle`

### getOwnForecolor

    public java.awt.Color getOwnForecolor()

  Specified by:
    `getOwnForecolor` in interface `JRStyle`

### getBackcolor

    public java.awt.Color getBackcolor()

  Specified by:
    `getBackcolor` in interface `JRStyle`

### getOwnBackcolor

    public java.awt.Color getOwnBackcolor()

  Specified by:
    `getOwnBackcolor` in interface `JRStyle`

### getLinePen

    public JRPen getLinePen()

  Specified by:
    `getLinePen` in interface `JRStyle`

### getPen

    public java.lang.Byte getPen()

  Deprecated. Replaced by `getLinePen()`

  Description copied from interface: `JRStyle`
  Indicates the pen type used for this element.

  Specified by:
    `getPen` in interface `JRStyle`
  Returns:
    one of the pen constants in this class

### getOwnPen

    public java.lang.Byte getOwnPen()

  Deprecated. Replaced by `getLinePen()`

  Specified by:
    `getOwnPen` in interface `JRStyle`

### setPen

    public void setPen(byte pen)

  Deprecated. Replaced by `getLinePen()`

  Specified by:
    `setPen` in interface `JRStyle`

### setPen

    public void setPen(java.lang.Byte pen)

  Deprecated. Replaced by `getLinePen()`

  Specified by:
    `setPen` in interface `JRStyle`

### getFill

    public java.lang.Byte getFill()

  Deprecated. Replaced by `getFillValue()`

  Specified by:
    `getFill` in interface `JRStyle`

### getOwnFill

    public java.lang.Byte getOwnFill()

  Deprecated. Replaced by `getOwnFillValue()`

  Specified by:
    `getOwnFill` in interface `JRStyle`

### getFillValue

    public FillEnum getFillValue()

  Description copied from interface: `JRStyle`
  Indicates the fill type used for this element.

  Specified by:
    `getFillValue` in interface `JRStyle`
  Returns:
    one of the fill constants in `FillEnum`.

### getOwnFillValue

    public FillEnum getOwnFillValue()

  Specified by:
    `getOwnFillValue` in interface `JRStyle`

### getRadius

    public java.lang.Integer getRadius()

  Description copied from interface: `JRStyle`
  Indicates the corner radius for rectangles with round corners. The default is 0.

  Specified by:
    `getRadius` in interface `JRStyle`

### getOwnRadius

    public java.lang.Integer getOwnRadius()

  Specified by:
    `getOwnRadius` in interface `JRStyle`

### getScaleImage

    public java.lang.Byte getScaleImage()

  Deprecated. Replaced by `getScaleImageValue()`.

  Specified by:
    `getScaleImage` in interface `JRStyle`

### getOwnScaleImage

    public java.lang.Byte getOwnScaleImage()

  Deprecated. Replaced by `getOwnScaleImageValue()`.

  Specified by:
    `getOwnScaleImage` in interface `JRStyle`

### getScaleImageValue

    public ScaleImageEnum getScaleImageValue()

  Description copied from interface: `JRStyle`
  Gets the image scale type.

  Specified by:
    `getScaleImageValue` in interface `JRStyle`
  Returns:
    one of the scale types defined in `ScaleImageEnum`

### getOwnScaleImageValue

    public ScaleImageEnum getOwnScaleImageValue()

  Description copied from interface: `JRStyle`
  Gets the image own scale type.

  Specified by:
    `getOwnScaleImageValue` in interface `JRStyle`
  Returns:
    one of the scale types defined in `ScaleImageEnum`

### getHorizontalAlignment

    public java.lang.Byte getHorizontalAlignment()

  Deprecated. Replaced by `getHorizontalAlignmentValue()`.

  Specified by:
    `getHorizontalAlignment` in interface `JRStyle`

### getOwnHorizontalAlignment

    public java.lang.Byte getOwnHorizontalAlignment()

  Deprecated. Replaced by `getOwnHorizontalAlignmentValue()`.

  Specified by:
    `getOwnHorizontalAlignment` in interface `JRStyle`

### getHorizontalAlignmentValue

    public HorizontalAlignEnum getHorizontalAlignmentValue()

  Description copied from interface: `JRStyle`
  Gets the horizontal alignment of the element.

  Specified by:
    `getHorizontalAlignmentValue` in interface `JRStyle`
  Returns:
    one of the alignment values defined in `HorizontalAlignEnum`

### getOwnHorizontalAlignmentValue

    public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

  Specified by:
    `getOwnHorizontalAlignmentValue` in interface `JRStyle`

### getVerticalAlignment

    public java.lang.Byte getVerticalAlignment()

  Deprecated. Replaced by `getVerticalAlignmentValue()`.

  Specified by:
    `getVerticalAlignment` in interface `JRStyle`

### getOwnVerticalAlignment

    public java.lang.Byte getOwnVerticalAlignment()

  Deprecated. Replaced by `getOwnVerticalAlignmentValue()`.

  Specified by:
    `getOwnVerticalAlignment` in interface `JRStyle`

### getVerticalAlignmentValue

    public VerticalAlignEnum getVerticalAlignmentValue()

  Description copied from interface: `JRStyle`
  Gets the vertical alignment of the element.

  Specified by:
    `getVerticalAlignmentValue` in interface `JRStyle`
  Returns:
    one of the alignment values defined in `JRAlignment`

### getOwnVerticalAlignmentValue

    public VerticalAlignEnum getOwnVerticalAlignmentValue()

  Specified by:
    `getOwnVerticalAlignmentValue` in interface `JRStyle`

### getLineBox

    public JRLineBox getLineBox()

  Specified by:
    `getLineBox` in interface `JRBoxContainer`
  Specified by:
    `getLineBox` in interface `JRStyle`

### getBorder

    public java.lang.Byte getBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBorder` in interface `JRStyle`

### getOwnBorder

    public java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBorder` in interface `JRStyle`

### getBorderColor

    public java.awt.Color getBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBorderColor` in interface `JRStyle`

### getOwnBorderColor

    public java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBorderColor` in interface `JRStyle`

### getPadding

    public java.lang.Integer getPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getPadding` in interface `JRStyle`

### getOwnPadding

    public java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnPadding` in interface `JRStyle`

### getTopBorder

    public java.lang.Byte getTopBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getTopBorder` in interface `JRStyle`

### getOwnTopBorder

    public java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnTopBorder` in interface `JRStyle`

### getTopBorderColor

    public java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getTopBorderColor` in interface `JRStyle`

### getOwnTopBorderColor

    public java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnTopBorderColor` in interface `JRStyle`

### getTopPadding

    public java.lang.Integer getTopPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getTopPadding` in interface `JRStyle`

### getOwnTopPadding

    public java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnTopPadding` in interface `JRStyle`

### getLeftBorder

    public java.lang.Byte getLeftBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getLeftBorder` in interface `JRStyle`

### getOwnLeftBorder

    public java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnLeftBorder` in interface `JRStyle`

### getLeftBorderColor

    public java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getLeftBorderColor` in interface `JRStyle`

### getOwnLeftBorderColor

    public java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnLeftBorderColor` in interface `JRStyle`

### getLeftPadding

    public java.lang.Integer getLeftPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getLeftPadding` in interface `JRStyle`

### getOwnLeftPadding

    public java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnLeftPadding` in interface `JRStyle`

### getBottomBorder

    public java.lang.Byte getBottomBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBottomBorder` in interface `JRStyle`

### getOwnBottomBorder

    public java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBottomBorder` in interface `JRStyle`

### getBottomBorderColor

    public java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBottomBorderColor` in interface `JRStyle`

### getOwnBottomBorderColor

    public java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBottomBorderColor` in interface `JRStyle`

### getBottomPadding

    public java.lang.Integer getBottomPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getBottomPadding` in interface `JRStyle`

### getOwnBottomPadding

    public java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnBottomPadding` in interface `JRStyle`

### getRightBorder

    public java.lang.Byte getRightBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getRightBorder` in interface `JRStyle`

### getOwnRightBorder

    public java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnRightBorder` in interface `JRStyle`

### getRightBorderColor

    public java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getRightBorderColor` in interface `JRStyle`

### getOwnRightBorderColor

    public java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnRightBorderColor` in interface `JRStyle`

### getRightPadding

    public java.lang.Integer getRightPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getRightPadding` in interface `JRStyle`

### getOwnRightPadding

    public java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `getOwnRightPadding` in interface `JRStyle`

### getRotation

    public java.lang.Byte getRotation()

  Deprecated. Replaced by `getRotationValue()`.

  Specified by:
    `getRotation` in interface `JRStyle`

### getOwnRotation

    public java.lang.Byte getOwnRotation()

  Deprecated. Replaced by `getOwnRotationValue()`.

  Specified by:
    `getOwnRotation` in interface `JRStyle`

### setRotation

    public void setRotation(byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

  Specified by:
    `setRotation` in interface `JRStyle`

### setRotation

    public void setRotation(java.lang.Byte rotation)

  Deprecated. Replaced by `setRotation(RotationEnum)`.

  Specified by:
    `setRotation` in interface `JRStyle`

### getRotationValue

    public RotationEnum getRotationValue()

  Description copied from interface: `JRStyle`
  Gets the text rotation.

  Specified by:
    `getRotationValue` in interface `JRStyle`
  Returns:
    a value representing one of the rotation values in the `RotationEnum`.

### getOwnRotationValue

    public RotationEnum getOwnRotationValue()

  Description copied from interface: `JRStyle`
  Gets the text own rotation.

  Specified by:
    `getOwnRotationValue` in interface `JRStyle`
  Returns:
    a value representing one of the rotation values in the `RotationEnum`.

### setRotation

    public void setRotation(RotationEnum rotationValue)

  Specified by:
    `setRotation` in interface `JRStyle`

### getLineSpacing

    public java.lang.Byte getLineSpacing()

  Deprecated. Replaced by `getLineSpacingValue()`.

  Specified by:
    `getLineSpacing` in interface `JRStyle`

### getOwnLineSpacing

    public java.lang.Byte getOwnLineSpacing()

  Deprecated. Replaced by `getOwnLineSpacingValue()`.

  Specified by:
    `getOwnLineSpacing` in interface `JRStyle`

### getLineSpacingValue

    public LineSpacingEnum getLineSpacingValue()

  Description copied from interface: `JRStyle`
  Gets the line spacing.

  Specified by:
    `getLineSpacingValue` in interface `JRStyle`
  Returns:
    a value representing one of the line spacing constants in the `LineSpacingEnum`.

### getOwnLineSpacingValue

    public LineSpacingEnum getOwnLineSpacingValue()

  Specified by:
    `getOwnLineSpacingValue` in interface `JRStyle`

### isStyledText

    public java.lang.Boolean isStyledText()

  Deprecated. Replaced by `getMarkup()`

  Description copied from interface: `JRStyle`
  Returns true if the text can contain style tags.

  Specified by:
    `isStyledText` in interface `JRStyle`

### isOwnStyledText

    public java.lang.Boolean isOwnStyledText()

  Deprecated. Replaced by `getOwnMarkup()`

  Specified by:
    `isOwnStyledText` in interface `JRStyle`

### getMarkup

    public java.lang.String getMarkup()

  Description copied from interface: `JRStyle`
  Returns the markup language used to format the text.

  Specified by:
    `getMarkup` in interface `JRStyle`

### getOwnMarkup

    public java.lang.String getOwnMarkup()

  Specified by:
    `getOwnMarkup` in interface `JRStyle`

### isBlankWhenNull

    public java.lang.Boolean isBlankWhenNull()

  Specified by:
    `isBlankWhenNull` in interface `JRStyle`

### isOwnBlankWhenNull

    public java.lang.Boolean isOwnBlankWhenNull()

  Specified by:
    `isOwnBlankWhenNull` in interface `JRStyle`

### getFontName

    public java.lang.String getFontName()

  Specified by:
    `getFontName` in interface `JRStyle`

### getOwnFontName

    public java.lang.String getOwnFontName()

  Specified by:
    `getOwnFontName` in interface `JRStyle`

### isBold

    public java.lang.Boolean isBold()

  Specified by:
    `isBold` in interface `JRStyle`

### isOwnBold

    public java.lang.Boolean isOwnBold()

  Specified by:
    `isOwnBold` in interface `JRStyle`

### isItalic

    public java.lang.Boolean isItalic()

  Specified by:
    `isItalic` in interface `JRStyle`

### isOwnItalic

    public java.lang.Boolean isOwnItalic()

  Specified by:
    `isOwnItalic` in interface `JRStyle`

### isUnderline

    public java.lang.Boolean isUnderline()

  Specified by:
    `isUnderline` in interface `JRStyle`

### isOwnUnderline

    public java.lang.Boolean isOwnUnderline()

  Specified by:
    `isOwnUnderline` in interface `JRStyle`

### isStrikeThrough

    public java.lang.Boolean isStrikeThrough()

  Specified by:
    `isStrikeThrough` in interface `JRStyle`

### isOwnStrikeThrough

    public java.lang.Boolean isOwnStrikeThrough()

  Specified by:
    `isOwnStrikeThrough` in interface `JRStyle`

### getFontSize

    public java.lang.Integer getFontSize()

  Specified by:
    `getFontSize` in interface `JRStyle`

### getOwnFontSize

    public java.lang.Integer getOwnFontSize()

  Specified by:
    `getOwnFontSize` in interface `JRStyle`

### getPdfFontName

    public java.lang.String getPdfFontName()

  Specified by:
    `getPdfFontName` in interface `JRStyle`

### getOwnPdfFontName

    public java.lang.String getOwnPdfFontName()

  Specified by:
    `getOwnPdfFontName` in interface `JRStyle`

### getPdfEncoding

    public java.lang.String getPdfEncoding()

  Specified by:
    `getPdfEncoding` in interface `JRStyle`

### getOwnPdfEncoding

    public java.lang.String getOwnPdfEncoding()

  Specified by:
    `getOwnPdfEncoding` in interface `JRStyle`

### isPdfEmbedded

    public java.lang.Boolean isPdfEmbedded()

  Specified by:
    `isPdfEmbedded` in interface `JRStyle`

### isOwnPdfEmbedded

    public java.lang.Boolean isOwnPdfEmbedded()

  Specified by:
    `isOwnPdfEmbedded` in interface `JRStyle`

### getPattern

    public java.lang.String getPattern()

  Description copied from interface: `JRStyle`
  Gets the pattern used for this text field. The pattern will be used in a `SimpleDateFormat` for dates and a `DecimalFormat` for numeric text fields. The pattern format must follow one of these two classes formatting rules, as specified in the JDK API docs.

  Specified by:
    `getPattern` in interface `JRStyle`
  Returns:
    a string containing the pattern.

### getOwnPattern

    public java.lang.String getOwnPattern()

  Specified by:
    `getOwnPattern` in interface `JRStyle`

### getMode

    public java.lang.Byte getMode()

  Deprecated. Replaced by `getModeValue()`.

  Specified by:
    `getMode` in interface `JRStyle`

### getOwnMode

    public java.lang.Byte getOwnMode()

  Deprecated. Replaced by `getOwnModeValue()`.

  Specified by:
    `getOwnMode` in interface `JRStyle`

### getModeValue

    public ModeEnum getModeValue()

  Description copied from interface: `JRStyle`
  Returns the element transparency mode. The default value depends on the type of the report element. Graphic elements like rectangles and lines are opaque by default, but the images are transparent. Both static texts and text fields are transparent by default, and so are the subreport elements.

  Specified by:
    `getModeValue` in interface `JRStyle`

### getOwnModeValue

    public ModeEnum getOwnModeValue()

  Specified by:
    `getOwnModeValue` in interface `JRStyle`

### setForecolor

    public void setForecolor(java.awt.Color forecolor)

  Specified by:
    `setForecolor` in interface `JRStyle`

### setBackcolor

    public void setBackcolor(java.awt.Color backcolor)

  Specified by:
    `setBackcolor` in interface `JRStyle`

### setMode

    public void setMode(byte mode)

  Deprecated. Replaced by `setMode(ModeEnum)`.

  Specified by:
    `setMode` in interface `JRStyle`

### setMode

    public void setMode(java.lang.Byte mode)

  Deprecated. Replaced by `setMode(ModeEnum)`.

  Specified by:
    `setMode` in interface `JRStyle`

### setMode

    public void setMode(ModeEnum modeValue)

  Specified by:
    `setMode` in interface `JRStyle`

### setFill

    public void setFill(byte fill)

  Deprecated. Replaced by `setFill(FillEnum)`.

  Specified by:
    `setFill` in interface `JRStyle`

### setFill

    public void setFill(java.lang.Byte fill)

  Deprecated. Replaced by `setFill(FillEnum)`.

  Specified by:
    `setFill` in interface `JRStyle`

### setFill

    public void setFill(FillEnum fillValue)

  Specified by:
    `setFill` in interface `JRStyle`

### setRadius

    public void setRadius(int radius)

  Specified by:
    `setRadius` in interface `JRStyle`

### setRadius

    public void setRadius(java.lang.Integer radius)

  Specified by:
    `setRadius` in interface `JRStyle`

### setScaleImage

    public void setScaleImage(byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

  Specified by:
    `setScaleImage` in interface `JRStyle`

### setScaleImage

    public void setScaleImage(java.lang.Byte scaleImage)

  Deprecated. Replaced by `setScaleImage(ScaleImageEnum)`.

  Specified by:
    `setScaleImage` in interface `JRStyle`

### setScaleImage

    public void setScaleImage(ScaleImageEnum scaleImageValue)

  Specified by:
    `setScaleImage` in interface `JRStyle`

### setHorizontalAlignment

    public void setHorizontalAlignment(byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRStyle`

### setHorizontalAlignment

    public void setHorizontalAlignment(java.lang.Byte horizontalAlignment)

  Deprecated. Replaced by `setHorizontalAlignment(HorizontalAlignEnum)`.

  Specified by:
    `setHorizontalAlignment` in interface `JRStyle`

### setHorizontalAlignment

    public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignmentValue)

  Specified by:
    `setHorizontalAlignment` in interface `JRStyle`

### setVerticalAlignment

    public void setVerticalAlignment(byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRStyle`

### setVerticalAlignment

    public void setVerticalAlignment(java.lang.Byte verticalAlignment)

  Deprecated. Replaced by `setVerticalAlignment(VerticalAlignEnum)`.

  Specified by:
    `setVerticalAlignment` in interface `JRStyle`

### setVerticalAlignment

    public void setVerticalAlignment(VerticalAlignEnum verticalAlignmentValue)

  Specified by:
    `setVerticalAlignment` in interface `JRStyle`

### setBorder

    public void setBorder(byte border)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBorder` in interface `JRStyle`

### setBorder

    public void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBorder` in interface `JRStyle`

### setBorderColor

    public void setBorderColor(java.awt.Color borderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBorderColor` in interface `JRStyle`

### setPadding

    public void setPadding(int padding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setPadding` in interface `JRStyle`

### setPadding

    public void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setPadding` in interface `JRStyle`

### setTopBorder

    public void setTopBorder(byte topBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopBorder` in interface `JRStyle`

### setTopBorder

    public void setTopBorder(java.lang.Byte topBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopBorder` in interface `JRStyle`

### setTopBorderColor

    public void setTopBorderColor(java.awt.Color topBorderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopBorderColor` in interface `JRStyle`

### setTopPadding

    public void setTopPadding(int topPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopPadding` in interface `JRStyle`

### setTopPadding

    public void setTopPadding(java.lang.Integer topPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setTopPadding` in interface `JRStyle`

### setLeftBorder

    public void setLeftBorder(byte leftBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftBorder` in interface `JRStyle`

### setLeftBorder

    public void setLeftBorder(java.lang.Byte leftBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftBorder` in interface `JRStyle`

### setLeftBorderColor

    public void setLeftBorderColor(java.awt.Color leftBorderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftBorderColor` in interface `JRStyle`

### setLeftPadding

    public void setLeftPadding(int leftPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftPadding` in interface `JRStyle`

### setLeftPadding

    public void setLeftPadding(java.lang.Integer leftPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setLeftPadding` in interface `JRStyle`

### setBottomBorder

    public void setBottomBorder(byte bottomBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomBorder` in interface `JRStyle`

### setBottomBorder

    public void setBottomBorder(java.lang.Byte bottomBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomBorder` in interface `JRStyle`

### setBottomBorderColor

    public void setBottomBorderColor(java.awt.Color bottomBorderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomBorderColor` in interface `JRStyle`

### setBottomPadding

    public void setBottomPadding(int bottomPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomPadding` in interface `JRStyle`

### setBottomPadding

    public void setBottomPadding(java.lang.Integer bottomPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setBottomPadding` in interface `JRStyle`

### setRightBorder

    public void setRightBorder(byte rightBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightBorder` in interface `JRStyle`

### setRightBorder

    public void setRightBorder(java.lang.Byte rightBorder)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightBorder` in interface `JRStyle`

### setRightBorderColor

    public void setRightBorderColor(java.awt.Color rightBorderColor)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightBorderColor` in interface `JRStyle`

### setRightPadding

    public void setRightPadding(int rightPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightPadding` in interface `JRStyle`

### setRightPadding

    public void setRightPadding(java.lang.Integer rightPadding)

  Deprecated. Replaced by `getLineBox()`

  Specified by:
    `setRightPadding` in interface `JRStyle`

### setFontName

    public void setFontName(java.lang.String fontName)

  Specified by:
    `setFontName` in interface `JRStyle`

### setBold

    public void setBold(boolean bold)

  Specified by:
    `setBold` in interface `JRStyle`

### setBold

    public void setBold(java.lang.Boolean bold)

  Specified by:
    `setBold` in interface `JRStyle`

### setItalic

    public void setItalic(boolean italic)

  Specified by:
    `setItalic` in interface `JRStyle`

### setItalic

    public void setItalic(java.lang.Boolean italic)

  Specified by:
    `setItalic` in interface `JRStyle`

### setPdfEmbedded

    public void setPdfEmbedded(boolean pdfEmbedded)

  Specified by:
    `setPdfEmbedded` in interface `JRStyle`

### setPdfEmbedded

    public void setPdfEmbedded(java.lang.Boolean pdfEmbedded)

  Specified by:
    `setPdfEmbedded` in interface `JRStyle`

### setStrikeThrough

    public void setStrikeThrough(boolean strikeThrough)

  Specified by:
    `setStrikeThrough` in interface `JRStyle`

### setStrikeThrough

    public void setStrikeThrough(java.lang.Boolean strikeThrough)

  Specified by:
    `setStrikeThrough` in interface `JRStyle`

### setStyledText

    public void setStyledText(boolean styledText)

  Deprecated. Replaced by `setMarkup(String)`

  Specified by:
    `setStyledText` in interface `JRStyle`

### setStyledText

    public void setStyledText(java.lang.Boolean styledText)

  Deprecated. Replaced by `setMarkup(String)`

  Specified by:
    `setStyledText` in interface `JRStyle`

### setMarkup

    public void setMarkup(java.lang.String markup)

  Specified by:
    `setMarkup` in interface `JRStyle`

### setBlankWhenNull

    public void setBlankWhenNull(boolean isBlankWhenNull)

  Specified by:
    `setBlankWhenNull` in interface `JRStyle`

### setBlankWhenNull

    public void setBlankWhenNull(java.lang.Boolean isBlankWhenNull)

  Specified by:
    `setBlankWhenNull` in interface `JRStyle`

### setUnderline

    public void setUnderline(boolean underline)

  Specified by:
    `setUnderline` in interface `JRStyle`

### setUnderline

    public void setUnderline(java.lang.Boolean underline)

  Specified by:
    `setUnderline` in interface `JRStyle`

### setLineSpacing

    public void setLineSpacing(byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.

  Specified by:
    `setLineSpacing` in interface `JRStyle`

### setLineSpacing

    public void setLineSpacing(java.lang.Byte lineSpacing)

  Deprecated. Replaced by `setLineSpacing(LineSpacingEnum)`.

  Specified by:
    `setLineSpacing` in interface `JRStyle`

### setLineSpacing

    public void setLineSpacing(LineSpacingEnum lineSpacingValue)

  Specified by:
    `setLineSpacing` in interface `JRStyle`

### setPattern

    public void setPattern(java.lang.String pattern)

  Specified by:
    `setPattern` in interface `JRStyle`

### setPdfEncoding

    public void setPdfEncoding(java.lang.String pdfEncoding)

  Specified by:
    `setPdfEncoding` in interface `JRStyle`

### setPdfFontName

    public void setPdfFontName(java.lang.String pdfFontName)

  Specified by:
    `setPdfFontName` in interface `JRStyle`

### setFontSize

    public void setFontSize(int fontSize)

  Specified by:
    `setFontSize` in interface `JRStyle`

### setFontSize

    public void setFontSize(java.lang.Integer fontSize)

  Specified by:
    `setFontSize` in interface `JRStyle`

### getConditionalStyles

    public JRConditionalStyle[] getConditionalStyles()

  Specified by:
    `getConditionalStyles` in interface `JRStyle`

### getStyleNameReference

    public java.lang.String getStyleNameReference()

  Description copied from interface: `JRStyleContainer`
  Returns the name of an external style which is to be used by this object.

  External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.

  Specified by:
    `getStyleNameReference` in interface `JRStyleContainer`
  Returns:
    the name of an external style

### getDefaultLineWidth

    public java.lang.Float getDefaultLineWidth()

  Specified by:
    `getDefaultLineWidth` in interface `JRPenContainer`

### getDefaultLineColor

    public java.awt.Color getDefaultLineColor()

  Specified by:
    `getDefaultLineColor` in interface `JRBoxContainer`
  Specified by:
    `getDefaultLineColor` in interface `JRPenContainer`

### getEventSupport

    public JRPropertyChangeSupport getEventSupport()

  Description copied from interface: `JRChangeEventsSupport`
  Returns the property change support object for this instance.

  Specified by:
    `getEventSupport` in interface `JRChangeEventsSupport`
  Returns:
    the property change support object for this instance

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `JRCloneable`
  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com